Get a public smart list's metadata and column definitions (no auth required).
curl --request GET \
--url https://api.parallellabs.app/api/v0/public/lists/{listId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/public/lists/{listId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/public/lists/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": {
"created_date": "<string>",
"headers": [
{
"actionParameters": {},
"autoRunEnabled": true,
"autoRunEnabledDate": "<string>",
"conditions": {},
"created_date": "<string>",
"dataType": "<string>",
"deleted_date": "<string>",
"id": "<string>",
"listId": "<string>",
"loading": true,
"name": "<string>",
"order": 123,
"type": "<string>",
"updated_date": "<string>"
}
],
"id": "<string>",
"name": "<string>",
"type": "<string>",
"updated_date": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}Lists
Get a public smart list's metadata and column definitions (no auth required).
GET
/
api
/
v0
/
public
/
lists
/
{listId}
Get a public smart list's metadata and column definitions (no auth required).
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
Public smart list metadata and column headers
Public smart list metadata response
Public list metadata
Show child attributes
Show child attributes
Get a list's metadata and column headers without any row data.Get paginated rows from a public smart list (no auth required).
⌘I

